/////////////////////////////////////////////////////////////////////////////////
/// FILE:     ta.hpp	 						      ///
/// CONTAINS: Definitions for TA problem classes	    	              ///
/// AUTHOR:   Manuel Vallejo Snchez 	07/11/2000 			      ///
/////////////////////////////////////////////////////////////////////////////////

#define STR_TERMINALS			"[TERMINALS]"
#define STR_CONCENTRATORS		"[CONCENTRATORS]"
#define STR_CONCENTRATORS_CAPACITY	"[CONCENTRATORS_CAPACITY]"

#ifndef _IOSTREAM_
#define _IOSTREAM_
#include <iostream.h>
#endif

#ifndef _STDIO_
#define _STDIO_
#include <stdio.h>
#endif

#ifndef _STRING_
#define _STRING_
#include <string.h>
#endif

#ifndef _BOOL_ 
#define _BOOL_
#include <bool.h>
#endif


// CLASS DEFINITION

class TA: public Problem
{
protected:
	short int *Term,*Term_Weight,*Conc,*Conc_Weight;
	int *Cost;
	int term_cardinal,conc_cardinal,conc_capacity;
public:
	TA ();
	~TA ();
	bool Get_Configuration_File (char*);
	double Evaluate(double [], unsigned long);
	

};


////////////////////////////// End of file rnd.hpp ///////////////////////////
